package org.jeecg.modules.utils;

import java.io.Serializable;


/**
 * 分页
 */
public class CngcPage implements Serializable {

    /**
     * 页号
     */
    private Long page;


    /**
     * 每页条数

//    @JsonProperty("per_page")
     */
    private Long perPage;


    /**
     * 排序字段
     */
    private String sort;


    /**
     * 是否查询总数
     */
    private boolean count;

    /**
     * 排序
     */
    private  String order;

    public Long getPage() {
        return page;
    }

    public void setPage(Long page) {
        this.page = page;
    }

    public Long getPerPage() {
        return perPage;
    }

    public void setPerPage(Long perPage) {
        this.perPage = perPage;
    }

    public boolean isCount() {
        return count;
    }

    public void setCount(boolean count) {
        this.count = count;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }
}
